ON_BrepLoop Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_brep.h>`

Inheritance diagram for ON_BrepLoop:

## Public Types

enum | TYPE { unknown = 0, outer = 1, inner = 2, slit = 3, crvonsrf = 4, ptonsrf = 5, type_count = 6 }

## Public Member Functions

void | DestroyRuntimeCache (bool bDelete=true)
int | Dimension () const
ON_BOOL32 | GetBBox (double *boxmin, double *boxmax, int bGrowBox=false) const
ON_BOOL32 | Transform (const ON_Xform &xform)
ON_Brep * | Brep () const
ON_BrepFace * | Face () const
ON_BrepTrim * | Trim (int lti) const
int | TrimCount () const
| ON_BrepLoop ()
| ON_BrepLoop (int)
ON_BrepLoop & | operator= (const ON_BrepLoop &)
unsigned int | SizeOf () const
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &) const
ON_BOOL32 | Write (ON_BinaryArchive &) const
ON_BOOL32 | Read (ON_BinaryArchive &)
ON_COMPONENT_INDEX | ComponentIndex () const
int | IndexOfTrim (const ON_BrepTrim &) const
int | SurfaceIndexOf () const
const ON_Surface * | SurfaceOf () const
bool | TransformTrim (const ON_Xform &xform)
Public Member Functions inherited from ON_Geometry
| ON_Geometry ()
| ON_Geometry (const ON_Geometry &)
ON_Geometry & | operator= (const ON_Geometry &)
virtual | ~ON_Geometry ()
ON_BoundingBox | BoundingBox () const
ON_BOOL32 | GetBoundingBox (ON_BoundingBox &bbox, int bGrowBox=false) const
ON_BOOL32 | GetBoundingBox (ON_3dPoint &bbox_min, ON_3dPoint &bbox_max, int bGrowBox=false) const
ON_BOOL32 | Rotate (double sin_angle, double cos_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
ON_BOOL32 | Rotate (double rotation_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
ON_BOOL32 | Translate (const ON_3dVector &translation_vector)
ON_BOOL32 | Scale (double scale_factor)
virtual bool | GetTightBoundingBox (ON_BoundingBox &tight_bbox, int bGrowBox=false, const ON_Xform *xform=0) const
virtual void | ClearBoundingBox ()
virtual bool | IsDeformable () const
virtual bool | MakeDeformable ()
virtual ON_BOOL32 | SwapCoordinates (int i, int j)
virtual ON_BOOL32 | HasBrepForm () const
virtual ON_Brep * | BrepForm (ON_Brep *brep=NULL) const
virtual bool | EvaluatePoint (const class ON_ObjRef &objref, ON_3dPoint &P) const
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON::object_type | ObjectType () const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)

## Public Attributes

ON_U | m_loop_user
int | m_loop_index
ON_SimpleArray< int > | m_ti
TYPE | m_type
int | m_fi
ON_BoundingBox | m_pbox

## Friends

class | ON_Brep

## Detailed Description

Definition at line 820 of file opennurbs_brep.h.

## Member Enumeration Documentation

enum ON_BrepLoop::TYPE

Enumerator
unknown |
outer |
inner |
slit |
crvonsrf |
ptonsrf |
type_count |

Definition at line 886 of file opennurbs_brep.h.

## Constructor & Destructor Documentation

ON_BrepLoop::ON_BrepLoop | ( |  | ) |

ON_BrepLoop::ON_BrepLoop | ( | int |  | ) |

## Member Function Documentation

ON_Brep* ON_BrepLoop::Brep | ( |  | ) | const

ON_COMPONENT_INDEX ON_BrepLoop::ComponentIndex | ( |  | ) | const

virtual

Reimplemented from ON_Geometry.

void ON_BrepLoop::DestroyRuntimeCache | ( | bool | bDelete = `true` | ) |

virtual

Reimplemented from ON_Object.

int ON_BrepLoop::Dimension | ( |  | ) | const

virtual

Implements ON_Geometry.

void ON_BrepLoop::Dump | ( | ON_TextLog & |  | ) | const

virtual

Reimplemented from ON_Object.

ON_BrepFace* ON_BrepLoop::Face | ( |  | ) | const

ON_BOOL32 ON_BrepLoop::GetBBox | ( | double * | boxmin,
|  | double * | boxmax,
|  | int | bGrowBox = `false`
| ) |  | const

virtual

Implements ON_Geometry.

int ON_BrepLoop::IndexOfTrim | ( | const ON_BrepTrim & |  | ) | const

ON_BOOL32 ON_BrepLoop::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

ON_BrepLoop& ON_BrepLoop::operator= | ( | const ON_BrepLoop & |  | ) |

ON_BOOL32 ON_BrepLoop::Read | ( | ON_BinaryArchive & |  | ) |

virtual

Reimplemented from ON_Object.

unsigned int ON_BrepLoop::SizeOf | ( |  | ) | const

virtual

Reimplemented from ON_Object.

int ON_BrepLoop::SurfaceIndexOf | ( |  | ) | const

const ON_Surface* ON_BrepLoop::SurfaceOf | ( |  | ) | const

ON_BOOL32 ON_BrepLoop::Transform | ( | const ON_Xform & | xform | ) |

virtual

Reimplemented from ON_Geometry.

bool ON_BrepLoop::TransformTrim | ( | const ON_Xform & | xform | ) |

ON_BrepTrim* ON_BrepLoop::Trim | ( | int | lti | ) | const

int ON_BrepLoop::TrimCount | ( |  | ) | const

ON_BOOL32 ON_BrepLoop::Write | ( | ON_BinaryArchive & |  | ) | const

virtual

Reimplemented from ON_Object.

## Friends And Related Function Documentation

friend class ON_Brep

friend

Definition at line 985 of file opennurbs_brep.h.

## Member Data Documentation

int ON_BrepLoop::m_fi

Definition at line 978 of file opennurbs_brep.h.

int ON_BrepLoop::m_loop_index

Definition at line 884 of file opennurbs_brep.h.

ON_U ON_BrepLoop::m_loop_user

Definition at line 882 of file opennurbs_brep.h.

ON_BoundingBox ON_BrepLoop::m_pbox

Definition at line 983 of file opennurbs_brep.h.

ON_SimpleArray<int> ON_BrepLoop::m_ti

Definition at line 976 of file opennurbs_brep.h.

TYPE ON_BrepLoop::m_type

Definition at line 977 of file opennurbs_brep.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_brep.h